### Function

# Secret Collection for_alias_finish

#### Declaration [src]

    SecretCollection*
    secret_collection_for_alias_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to lookup which collection is assigned to an alias.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretCollection`
| The collection, or `NULL` if none assigned to the alias.
| The caller of the function takes ownership of the data, and is responsible for freeing it.